"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Winston = require("winston");
exports.FormatResolve = (logger, formatters = []) => {
    const formats = formatters.map(each => Winston.format(each.format)(each.opts(logger)));
    return Winston.format.combine(...formats, Winston.format.json());
};
