"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const archdevlogger_1 = require("archdevlogger");
class InvalidFormatterError extends archdevlogger_1.ArchDevLogger.Errors.ArchDevLoggerError {
    constructor() {
        super("INVALIDFORMATTER: Formatter must have 'module' or 'formatter' properties");
    }
}
exports.InvalidFormatterError = InvalidFormatterError;
class InvalidTransporterError extends archdevlogger_1.ArchDevLogger.Errors.ArchDevLoggerError {
    constructor() {
        super("INVALIDTRANSPORTER: Transporter must have 'module' or 'transporter' properties");
    }
}
exports.InvalidTransporterError = InvalidTransporterError;
