"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("./lib");
const errors_1 = require("./lib/errors");
const factories_1 = require("./lib/factories");
const formatters_1 = require("./lib/formatters");
const transporters_1 = require("./lib/transporters");
module.exports = lib_1.ArchDevLoggerWinston;
module.exports.Errors = {
    InvalidFormatterError: errors_1.InvalidFormatterError,
    InvalidTransporterError: errors_1.InvalidTransporterError,
};
module.exports.Factories = {
    FormattersFactory: factories_1.FormattersFactory,
    TransportsFactory: factories_1.TransportsFactory,
};
module.exports.Formatters = formatters_1.Formatters;
module.exports.Transporters = transporters_1.Transporters;
